# sas.qtgui.Perspectives.Fitting.plugin_models package

## Submodules

## sas.qtgui.Perspectives.Fitting.plugin_models.plugin_structure_template module

### Definition

This template can be used to develop your plugin structure factor.

\[I(q) = mq+b\]

where m is the slope and b is the intercept.

### Validation

### References

1. A LastNameA and B. LastNameB, Title, Journal, MoreInfo, (YEAR)

### Authorship and Verification

- Author: Your Name Here

- Last Modified by:

- Last Reviewed by: Reviewer Name Here Date: Date Here

sas.qtgui.Perspectives.Fitting.plugin_models.plugin_structure_template.Iq(q, m=2, b=1)
  Parameters:

    q: input scattering vectors, units 1/Ang m: slope of line, units Ang/cm, default value=2 b: intercept of line, units 1/cm, default value=1

  Returns:

    I(q): 1D scattering intensity at q, units 1/cm

## sas.qtgui.Perspectives.Fitting.plugin_models.plugin_template module

### Definition

This template can be used to develop your plugin model.

\[I(q) = mq+b\]

where m is the slope and b is the intercept.

### Validation

### References

1. A LastNameA and B. LastNameB, Title, Journal, MoreInfo, (YEAR)

### Authorship and Verification

- Author: Your Name Here

- Last Modified by:

- Last Reviewed by: Reviewer Name Here Date: Date Here

sas.qtgui.Perspectives.Fitting.plugin_models.plugin_template.Iq(q, m=2, b=1)
  Parameters:

    q: input scattering vectors, units 1/Ang m: slope of line, units Ang/cm, default value=2 b: intercept of line, units 1/cm, default value=1

  Returns:

    I(q): 1D scattering intensity at q, units 1/cm

## Module contents

Example plugin models to be added to the SasView plugin directory on startup if no plugins are present.